## colorized-logs 2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(colorized-logs C)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckFunctionExists)

# OpenBSD has _ancient_ gcc but new cmake, some distros have new gcc but old
# cmake, thus:
  if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
      set (CMAKE_C_FLAGS "--std=gnu99 ${CMAKE_C_FLAGS}")
    endif ()
  else ()
    set (CMAKE_C_STANDARD 99)
  endif ()

CHECK_INCLUDE_FILES(pty.h HAVE_PTY_H)
CHECK_INCLUDE_FILES(libutil.h HAVE_LIBUTIL_H)
CHECK_INCLUDE_FILES(util.h HAVE_UTIL_H)
CHECK_LIBRARY_EXISTS(util openpty "" HAVE_LIB_UTIL)
if (HAVE_LIB_UTIL)
    set(CMAKE_REQUIRED_LIBRARIES util)
endif (HAVE_LIB_UTIL)
CHECK_FUNCTION_EXISTS(openpty HAVE_FUNC_OPENPTY)

add_executable(ansi2html ansi2html.c)
add_executable(ansi2txt ansi2txt.c)
add_executable(ttyrec2ansi ttyrec2ansi.c)
add_executable(pipetty pipetty.c)

IF (HAVE_LIB_UTIL)
    set(LIB_UTIL util)
ENDIF (HAVE_LIB_UTIL)

target_link_libraries(pipetty ${LIB_UTIL})
configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
include_directories(${CMAKE_BINARY_DIR})

install(TARGETS
    ansi2html
    ansi2txt
    ttyrec2ansi
    pipetty
    RUNTIME DESTINATION bin)

install(
    FILES
    ansi2html.1
    ansi2txt.1
    ttyrec2ansi.1
    pipetty.1
    DESTINATION share/man/man1
)

enable_testing()
add_subdirectory(tests)

=== tests/CMakeLists.txt ===
add_test(ansi2txt ${CMAKE_CURRENT_SOURCE_DIR}/testsuite ansi2txt)
add_test(ansi2html ${CMAKE_CURRENT_SOURCE_DIR}/testsuite ansi2html)
add_test(pipetty ${CMAKE_CURRENT_SOURCE_DIR}/testsuite pipetty)
add_test(ttyrec2ansi ${CMAKE_CURRENT_SOURCE_DIR}/testsuite ttyrec2ansi)

## colorized-logs 2.1

=== debian/changelog ===
colorized-logs (2.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 05 Sep 2017 15:59:06 +0200

colorized-logs (2.0-1) unstable; urgency=low

  * Split into a new source package.
  * New upstream release.
  * Relicense to MIT.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 04 Sep 2017 01:24:44 +0200

=== debian/control ===
Source: colorized-logs
Section: text
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper (>> 10.0.0), cmake
Standards-Version: 4.1.0
Homepage: http://github.com/kilobyte/colorized-logs
Vcs-Git: https://github.com/kilobyte/colorized-logs.git -b debian
Vcs-Browser: https://github.com/kilobyte/colorized-logs/tree/debian

Package: colorized-logs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kbtin (<< 1.0.18)
Suggests: colordiff, colormake, ccze, colortail
Description: tools for consuming logs with ANSI color
 Some tools like gcc, dmesg, grep --color, colordiff, ccze, etc can enhance
 their output with color, making reading a lot more pleasant.  You can
 usually view that only on your terminal or with "less -R"; this package
 gives you:
  * ansi2html: convert logs to HTML
  * ansi2txt: drop ANSI control codes
  * ttyrec2ansi: drop timing data from ttyrec files
  * pipetty: makes a program think its stdout and stderr are connected to a
    terminal; use as a prefix: "pipetty dmesg|tee"

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/colorized-logs-$1\.tar\.gz/ \
  https://github.com/kilobyte/colorized-logs/tags .*/v?(\d\S*)\.tar\.gz

## colorized-logs 2.2

=== debian/changelog ===
colorized-logs (2.2-1) unstable; urgency=medium

  * New upstream release.
  * 'lesstty' — a shorthand for pipetty|less -R.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 27 Feb 2018 02:45:27 +0100

## colorized-logs 2.3

=== debian/changelog ===
colorized-logs (2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 01 Mar 2018 00:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>> 10.0.0), cmake
-Standards-Version: 4.1.0
+Build-Depends: debhelper (>= 11~), cmake
+Standards-Version: 4.1.3
 Homepage: http://github.com/kilobyte/colorized-logs
 Vcs-Git: https://github.com/kilobyte/colorized-logs.git -b debian
 Vcs-Browser: https://github.com/kilobyte/colorized-logs/tree/debian
+Rules-Requires-Root: no
 
 Package: colorized-logs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, less
 Replaces: kbtin (<< 1.0.18)
 Suggests: colordiff, colormake, ccze, colortail
 Description: tools for consuming logs with ANSI color
@@ -23,3 +24,4 @@
   * ttyrec2ansi: drop timing data from ttyrec files
   * pipetty: makes a program think its stdout and stderr are connected to a
     terminal; use as a prefix: "pipetty dmesg|tee"
+  * lesstty: pipe a program (as above) to "less -R"

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/colorized-logs-$1\.tar\.gz/ \
  https://github.com/kilobyte/colorized-logs/tags .*/v(\d\S*)\.tar\.gz

## colorized-logs 2.4

=== debian/changelog ===
colorized-logs (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest (run the testsuite on installed binaries).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 27 May 2018 14:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 11~), cmake
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://github.com/kilobyte/colorized-logs
 Vcs-Git: https://github.com/kilobyte/colorized-logs.git -b debian
 Vcs-Browser: https://github.com/kilobyte/colorized-logs/tree/debian
@@ -14,6 +14,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, less
 Replaces: kbtin (<< 1.0.18)
 Suggests: colordiff, colormake, ccze, colortail
+Multi-Arch: foreign
 Description: tools for consuming logs with ANSI color
  Some tools like gcc, dmesg, grep --color, colordiff, ccze, etc can enhance
  their output with color, making reading a lot more pleasant.  You can

## colorized-logs 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,15 @@
 add_executable(ansi2html ansi2html.c)
 add_executable(ansi2txt ansi2txt.c)
 add_executable(ttyrec2ansi ttyrec2ansi.c)
-add_executable(pipetty pipetty.c)
+add_executable(pipetty pipetty.c signals.c)
+
+add_custom_target(lesstty ALL
+    DEPENDS pipetty
+    COMMAND ln -sf pipetty lesstty
+    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
+    COMMENT "LINK lesstty -> pipetty")
+set_target_properties(lesstty
+    PROPERTIES ADDITIONAL_CLEAN_FILES lesstty)
 
 IF (HAVE_LIB_UTIL)
     set(LIB_UTIL util)
@@ -42,13 +50,16 @@
     ttyrec2ansi
     pipetty
     RUNTIME DESTINATION bin)
+install(FILES
+    ${CMAKE_BINARY_DIR}/lesstty
+    DESTINATION bin)
 
-install(
-    FILES
+install(FILES
     ansi2html.1
     ansi2txt.1
     ttyrec2ansi.1
     pipetty.1
+    lesstty.1
     DESTINATION share/man/man1
 )

=== tests/CMakeLists.txt ===
add_test(ansi2txt ${CMAKE_CURRENT_SOURCE_DIR}/testsuite ansi2txt)
add_test(ansi2html ${CMAKE_CURRENT_SOURCE_DIR}/testsuite ansi2html)
add_test(pipetty ${CMAKE_CURRENT_SOURCE_DIR}/testsuite pipetty)
add_test(pipetty:sigobit ${CMAKE_CURRENT_SOURCE_DIR}/testsuite pipetty:sigobit)
add_test(ttyrec2ansi ${CMAKE_CURRENT_SOURCE_DIR}/testsuite ttyrec2ansi)

=== debian/changelog ===
colorized-logs (2.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop the bash implementation of lesstty, use C version.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Jan 2020 19:46:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 11~), cmake
-Standards-Version: 4.1.4
-Homepage: http://github.com/kilobyte/colorized-logs
+Build-Depends: debhelper-compat (=12), cmake
+Standards-Version: 4.4.1
+Homepage: https://github.com/kilobyte/colorized-logs
 Vcs-Git: https://github.com/kilobyte/colorized-logs.git -b debian
 Vcs-Browser: https://github.com/kilobyte/colorized-logs/tree/debian
 Rules-Requires-Root: no

## colorized-logs 2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,15 @@
 
 # OpenBSD has _ancient_ gcc but new cmake, some distros have new gcc but old
 # cmake, thus:
-  if (CMAKE_VERSION VERSION_LESS "3.1")
+if (CMAKE_VERSION VERSION_LESS "3.1")
     if (CMAKE_C_COMPILER_ID STREQUAL "GNU")
-      set (CMAKE_C_FLAGS "--std=gnu99 ${CMAKE_C_FLAGS}")
+        set (CMAKE_C_FLAGS "--std=gnu99 ${CMAKE_C_FLAGS}")
     endif ()
-  else ()
+else ()
     set (CMAKE_C_STANDARD 99)
-  endif ()
+endif ()
+
+set (CMAKE_C_FLAGS "-Wall -Werror=format-security ${CMAKE_C_FLAGS}")
 
 CHECK_INCLUDE_FILES(pty.h HAVE_PTY_H)
 CHECK_INCLUDE_FILES(libutil.h HAVE_LIBUTIL_H)

=== debian/changelog ===
colorized-logs (2.6-1) unstable; urgency=medium

  * New upstream release.
  * dh 13.
  * watch format 4.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 05 Sep 2021 22:59:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper-compat (=12), cmake
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (=13), cmake
+Standards-Version: 4.6.0
 Homepage: https://github.com/kilobyte/colorized-logs
 Vcs-Git: https://github.com/kilobyte/colorized-logs.git -b debian
 Vcs-Browser: https://github.com/kilobyte/colorized-logs/tree/debian

## colorized-logs 2.7

=== debian/changelog ===
colorized-logs (2.7-1) unstable; urgency=medium

  * New upstream release.
    + pipetty: pass terminal size (or 80×24) to the program being run.
      Closes: #996153
    + ansi2*: recognize and ignore attempts to set G0/G1 charset.
      Closes: #1064341

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 15 Apr 2025 01:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper-compat (=13), cmake
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/kilobyte/colorized-logs
 Vcs-Git: https://github.com/kilobyte/colorized-logs.git -b debian
 Vcs-Browser: https://github.com/kilobyte/colorized-logs/tree/debian
@@ -12,7 +12,6 @@
 Package: colorized-logs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, less
-Replaces: kbtin (<< 1.0.18)
 Suggests: colordiff, colormake, ccze, colortail
 Multi-Arch: foreign
 Description: tools for consuming logs with ANSI color

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/colorized-logs-$1\.tar\.gz/ \
  https://github.com/kilobyte/colorized-logs/tags .*/v(\d\S*)\.tar\.gz
